cmake_minimum_required(VERSION 3.8)

add_library(board board.cpp)
target_include_directories(board PUBLIC "${CMAKE_CURRENT_SOURCE_DIR}")
target_link_libraries(board rotor_light)

add_executable(ping-pong-poll ping-pong-poll.cpp)
target_link_libraries(ping-pong-poll board)

add_executable(ping-pong-await ping-pong-await.cpp)
target_link_libraries(ping-pong-await board)
